<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="SpecialList.aspx.cs" Inherits="PowerEasy.Module.General.WebSite.Admin.Contents.SpecialList" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>选择专题</title>
    <base target="_self" />
</head>
<body class="floatingIframe">
    <form id="form1" runat="server">
    <div>
        <script language="javascript" type="text/javascript">
<!--
            var returnNodeName;
            var nnodeId;
            function going(nodeId) {
                CallTheServer(nodeId, "");
                nnodeId = nodeId;
            }

            function category() { alert("你选择的是专题类别，请选择专题！"); }

            function ReceiveServerData(rvalue) {
                returnNodeName = rvalue;

                parent.UpdateSpecial(nnodeId + "$$$" + returnNodeName);
            }
-->
        </script>
        <pe:XLoadTree ID="XLoadNodeTree" RootText="网站" RootAction="#" RootTarget="_self"
            CheckBox="true" runat="server">
        </pe:XLoadTree>
    </div>
    <br />
    <br />
    <div style="color: Red">
        只能添加到专题中，不能添加到专题类别中</div>
    <br />
    <script language="javascript" type="text/javascript">
<!--
        webFXTreeHandler.check = function (obj, nodeid, nodename) {
            if (nodename.substring(0, 6) == '[专题类别]') {
                obj.checked = false;
            } else {
                if (obj.checked) {
                    going(nodeid);
                }
                else {
                    parent.DelSpecial(nodeid);
                }
            }

        }
-->
    </script>
    </form>
</body>
</html>
